Package ru.bgcrm.dao.process

# Class StatusChangeDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.StatusChangeDAO

public class StatusChangeDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusChangeDAO(Connection con)`
  `StatusChangeDAO(Connection con, DynActionForm form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `changeStatus(Process process, ProcessType type, StatusChange change)`
  `List<StatusChange>`
  `getProcessStatus(int processId, int statusId)`
  `static StatusChange`
  `getProcessStatusFromRs(ResultSet rs)`
  `static StatusChange`
  `getProcessStatusFromRs(ResultSet rs, String prefix)`
  `void`
  `searchProcessStatus(Pageable<StatusChange> searchResult, int processId, Set<Integer> statusIds)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusChangeDAO

    public StatusChangeDAO(Connection con)

  - ### StatusChangeDAO

    public StatusChangeDAO(Connection con, DynActionForm form)

- ## Method Details

  - ### changeStatus

    public void changeStatus(Process process, ProcessType type, StatusChange change) throws SQLException
    Throws:
      `SQLException`

  - ### searchProcessStatus

    public void searchProcessStatus(Pageable<StatusChange> searchResult, int processId, Set<Integer> statusIds)

  - ### getProcessStatus

    public List<StatusChange> getProcessStatus(int processId, int statusId)

  - ### getProcessStatusFromRs

    public static StatusChange getProcessStatusFromRs(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### getProcessStatusFromRs

    public static StatusChange getProcessStatusFromRs(ResultSet rs, String prefix) throws SQLException
    Throws:
      `SQLException`